Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/JpegtranFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/JpegtranFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/JpegtranFilter.php	(revision 7265)
@@ -0,0 +1,103 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter;
+
+use Assetic\Asset\AssetInterface;
+use Assetic\Exception\FilterException;
+use Symfony\Component\Process\ProcessBuilder;
+
+/**
+ * Runs assets through jpegtran.
+ *
+ * @link http://jpegclub.org/jpegtran/
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+class JpegtranFilter implements FilterInterface
+{
+    const COPY_NONE = 'none';
+    const COPY_COMMENTS = 'comments';
+    const COPY_ALL = 'all';
+
+    private $jpegtranBin;
+    private $optimize;
+    private $copy;
+    private $progressive;
+    private $restart;
+
+    /**
+     * Constructor.
+     *
+     * @param string $jpegtranBin Path to the jpegtran binary
+     */
+    public function __construct($jpegtranBin = '/usr/bin/jpegtran')
+    {
+        $this->jpegtranBin = $jpegtranBin;
+    }
+
+    public function setOptimize($optimize)
+    {
+        $this->optimize = $optimize;
+    }
+
+    public function setCopy($copy)
+    {
+        $this->copy = $copy;
+    }
+
+    public function setProgressive($progressive)
+    {
+        $this->progressive = $progressive;
+    }
+
+    public function setRestart($restart)
+    {
+        $this->restart = $restart;
+    }
+
+    public function filterLoad(AssetInterface $asset)
+    {
+    }
+
+    public function filterDump(AssetInterface $asset)
+    {
+        $pb = new ProcessBuilder(array($this->jpegtranBin));
+
+        if ($this->optimize) {
+            $pb->add('-optimize');
+        }
+
+        if ($this->copy) {
+            $pb->add('-copy')->add($this->copy);
+        }
+
+        if ($this->progressive) {
+            $pb->add('-progressive');
+        }
+
+        if (null !== $this->restart) {
+            $pb->add('-restart')->add($this->restart);
+        }
+
+        $pb->add($input = tempnam(sys_get_temp_dir(), 'assetic_jpegtran'));
+        file_put_contents($input, $asset->getContent());
+
+        $proc = $pb->getProcess();
+        $code = $proc->run();
+        unlink($input);
+
+        if (0 < $code) {
+            throw FilterException::fromProcess($proc)->setInput($asset->getContent());
+        }
+
+        $asset->setContent($proc->getOutput());
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/PngoutFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/PngoutFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/PngoutFilter.php	(revision 7265)
@@ -0,0 +1,128 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter;
+
+use Assetic\Asset\AssetInterface;
+use Assetic\Exception\FilterException;
+use Symfony\Component\Process\ProcessBuilder;
+
+/**
+ * Runs assets through pngout.
+ *
+ * @link http://advsys.net/ken/utils.htm#pngout
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+class PngoutFilter implements FilterInterface
+{
+    // -c#
+    const COLOR_GREY       = '0';
+    const COLOR_RGB        = '2';
+    const COLOR_PAL        = '3';
+    const COLOR_GRAY_ALPHA = '4';
+    const COLOR_RGB_ALPHA  = '6';
+
+    // -f#
+    const FILTER_NONE  = '0';
+    const FILTER_X     = '1';
+    const FILTER_Y     = '2';
+    const FILTER_X_Y   = '3';
+    const FILTER_PAETH = '4';
+    const FILTER_MIXED = '5';
+
+    // -s#
+    const STRATEGY_XTREME        = '0';
+    const STRATEGY_INTENSE       = '1';
+    const STRATEGY_LONGEST_MATCH = '2';
+    const STRATEGY_HUFFMAN_ONLY  = '3';
+    const STRATEGY_UNCOMPRESSED  = '4';
+
+    private $pngoutBin;
+    private $color;
+    private $filter;
+    private $strategy;
+    private $blockSplitThreshold;
+
+    /**
+     * Constructor.
+     *
+     * @param string $pngoutBin Path to the pngout binary
+     */
+    public function __construct($pngoutBin = '/usr/bin/pngout')
+    {
+        $this->pngoutBin = $pngoutBin;
+    }
+
+    public function setColor($color)
+    {
+        $this->color = $color;
+    }
+
+    public function setFilter($filter)
+    {
+        $this->filter = $filter;
+    }
+
+    public function setStrategy($strategy)
+    {
+        $this->strategy = $strategy;
+    }
+
+    public function setBlockSplitThreshold($blockSplitThreshold)
+    {
+        $this->blockSplitThreshold = $blockSplitThreshold;
+    }
+
+    public function filterLoad(AssetInterface $asset)
+    {
+    }
+
+    public function filterDump(AssetInterface $asset)
+    {
+        $pb = new ProcessBuilder(array($this->pngoutBin));
+
+        if (null !== $this->color) {
+            $pb->add('-c'.$this->color);
+        }
+
+        if (null !== $this->filter) {
+            $pb->add('-f'.$this->filter);
+        }
+
+        if (null !== $this->strategy) {
+            $pb->add('-s'.$this->strategy);
+        }
+
+        if (null !== $this->blockSplitThreshold) {
+            $pb->add('-b'.$this->blockSplitThreshold);
+        }
+
+        $pb->add($input = tempnam(sys_get_temp_dir(), 'assetic_pngout'));
+        file_put_contents($input, $asset->getContent());
+
+        $output = tempnam(sys_get_temp_dir(), 'assetic_pngout');
+        unlink($output);
+        $pb->add($output .= '.png');
+
+        $proc = $pb->getProcess();
+        $code = $proc->run();
+
+        if (0 < $code) {
+            unlink($input);
+            throw FilterException::fromProcess($proc)->setInput($asset->getContent());
+        }
+
+        $asset->setContent(file_get_contents($output));
+
+        unlink($input);
+        unlink($output);
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/GoogleClosure/CompilerApiFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/GoogleClosure/CompilerApiFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/GoogleClosure/CompilerApiFilter.php	(revision 7265)
@@ -0,0 +1,104 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter\GoogleClosure;
+
+use Assetic\Asset\AssetInterface;
+
+/**
+ * Filter for the Google Closure Compiler API.
+ *
+ * @link https://developers.google.com/closure/compiler/
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+class CompilerApiFilter extends BaseCompilerFilter
+{
+    public function filterDump(AssetInterface $asset)
+    {
+        $query = array(
+            'js_code'       => $asset->getContent(),
+            'output_format' => 'json',
+            'output_info'   => 'compiled_code',
+        );
+
+        if (null !== $this->compilationLevel) {
+            $query['compilation_level'] = $this->compilationLevel;
+        }
+
+        if (null !== $this->jsExterns) {
+            $query['js_externs'] = $this->jsExterns;
+        }
+
+        if (null !== $this->externsUrl) {
+            $query['externs_url'] = $this->externsUrl;
+        }
+
+        if (null !== $this->excludeDefaultExterns) {
+            $query['exclude_default_externs'] = $this->excludeDefaultExterns ? 'true' : 'false';
+        }
+
+        if (null !== $this->formatting) {
+            $query['formatting'] = $this->formatting;
+        }
+
+        if (null !== $this->useClosureLibrary) {
+            $query['use_closure_library'] = $this->useClosureLibrary ? 'true' : 'false';
+        }
+
+        if (null !== $this->warningLevel) {
+            $query['warning_level'] = $this->warningLevel;
+        }
+
+        if (null !== $this->language) {
+            $query['language'] = $this->language;
+        }
+
+        if (preg_match('/1|yes|on|true/i', ini_get('allow_url_fopen'))) {
+            $context = stream_context_create(array('http' => array(
+                'method'  => 'POST',
+                'header'  => 'Content-Type: application/x-www-form-urlencoded',
+                'content' => http_build_query($query),
+            )));
+
+            $response = file_get_contents('http://closure-compiler.appspot.com/compile', false, $context);
+            $data = json_decode($response);
+
+         } elseif (defined('CURLOPT_POST') && !in_array('curl_init', explode(',', ini_get('disable_functions')))) {
+
+            $ch = curl_init('http://closure-compiler.appspot.com/compile');
+            curl_setopt($ch, CURLOPT_POST, true);
+            curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-type: application/x-www-form-urlencoded'));
+            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
+            curl_setopt($ch, CURLOPT_POSTFIELDS, $query);
+            curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 15);
+            $response = curl_exec($ch);
+            curl_close($ch);
+
+            $data = json_decode($response);
+        } else {
+            throw new \RuntimeException("There is no known way to contact closure compiler available");
+        }
+
+        if (isset($data->serverErrors) && 0 < count($data->serverErrors)) {
+            // @codeCoverageIgnoreStart
+            throw new \RuntimeException(sprintf('The Google Closure Compiler API threw some server errors: '.print_r($data->serverErrors, true)));
+            // @codeCoverageIgnoreEnd
+        }
+
+        if (isset($data->errors) && 0 < count($data->errors)) {
+            // @codeCoverageIgnoreStart
+            throw new \RuntimeException(sprintf('The Google Closure Compiler API threw some errors: '.print_r($data->errors, true)));
+            // @codeCoverageIgnoreEnd
+        }
+
+        $asset->setContent($data->compiledCode);
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/GoogleClosure/BaseCompilerFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/GoogleClosure/BaseCompilerFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/GoogleClosure/BaseCompilerFilter.php	(revision 7265)
@@ -0,0 +1,95 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter\GoogleClosure;
+
+use Assetic\Asset\AssetInterface;
+use Assetic\Filter\FilterInterface;
+
+/**
+ * Base filter for the Google Closure Compiler implementations.
+ *
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+abstract class BaseCompilerFilter implements FilterInterface
+{
+    // compilation levels
+    const COMPILE_WHITESPACE_ONLY = 'WHITESPACE_ONLY';
+    const COMPILE_SIMPLE_OPTIMIZATIONS = 'SIMPLE_OPTIMIZATIONS';
+    const COMPILE_ADVANCED_OPTIMIZATIONS = 'ADVANCED_OPTIMIZATIONS';
+
+    // formatting modes
+    const FORMAT_PRETTY_PRINT = 'pretty_print';
+    const FORMAT_PRINT_INPUT_DELIMITER = 'print_input_delimiter';
+
+    // warning levels
+    const LEVEL_QUIET = 'QUIET';
+    const LEVEL_DEFAULT = 'DEFAULT';
+    const LEVEL_VERBOSE = 'VERBOSE';
+
+    // languages
+    const LANGUAGE_ECMASCRIPT3 = 'ECMASCRIPT3';
+    const LANGUAGE_ECMASCRIPT5 = 'ECMASCRIPT5';
+    const LANGUAGE_ECMASCRIPT5_STRICT = 'ECMASCRIPT5_STRICT';
+
+    protected $compilationLevel;
+    protected $jsExterns;
+    protected $externsUrl;
+    protected $excludeDefaultExterns;
+    protected $formatting;
+    protected $useClosureLibrary;
+    protected $warningLevel;
+    protected $language;
+
+    public function setCompilationLevel($compilationLevel)
+    {
+        $this->compilationLevel = $compilationLevel;
+    }
+
+    public function setJsExterns($jsExterns)
+    {
+        $this->jsExterns = $jsExterns;
+    }
+
+    public function setExternsUrl($externsUrl)
+    {
+        $this->externsUrl = $externsUrl;
+    }
+
+    public function setExcludeDefaultExterns($excludeDefaultExterns)
+    {
+        $this->excludeDefaultExterns = $excludeDefaultExterns;
+    }
+
+    public function setFormatting($formatting)
+    {
+        $this->formatting = $formatting;
+    }
+
+    public function setUseClosureLibrary($useClosureLibrary)
+    {
+        $this->useClosureLibrary = $useClosureLibrary;
+    }
+
+    public function setWarningLevel($warningLevel)
+    {
+        $this->warningLevel = $warningLevel;
+    }
+
+    public function setLanguage($language)
+    {
+        $this->language = $language;
+    }
+
+    public function filterLoad(AssetInterface $asset)
+    {
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/GoogleClosure/CompilerJarFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/GoogleClosure/CompilerJarFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/GoogleClosure/CompilerJarFilter.php	(revision 7265)
@@ -0,0 +1,94 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter\GoogleClosure;
+
+use Assetic\Asset\AssetInterface;
+use Assetic\Exception\FilterException;
+use Symfony\Component\Process\ProcessBuilder;
+
+/**
+ * Filter for the Google Closure Compiler JAR.
+ *
+ * @link https://developers.google.com/closure/compiler/
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+class CompilerJarFilter extends BaseCompilerFilter
+{
+    private $jarPath;
+    private $javaPath;
+
+    public function __construct($jarPath, $javaPath = '/usr/bin/java')
+    {
+        $this->jarPath = $jarPath;
+        $this->javaPath = $javaPath;
+    }
+
+    public function filterDump(AssetInterface $asset)
+    {
+        $cleanup = array();
+
+        $pb = new ProcessBuilder(array(
+            $this->javaPath,
+            '-jar',
+            $this->jarPath,
+        ));
+
+        if (null !== $this->compilationLevel) {
+            $pb->add('--compilation_level')->add($this->compilationLevel);
+        }
+
+        if (null !== $this->jsExterns) {
+            $cleanup[] = $externs = tempnam(sys_get_temp_dir(), 'assetic_google_closure_compiler');
+            file_put_contents($externs, $this->jsExterns);
+            $pb->add('--externs')->add($externs);
+        }
+
+        if (null !== $this->externsUrl) {
+            $cleanup[] = $externs = tempnam(sys_get_temp_dir(), 'assetic_google_closure_compiler');
+            file_put_contents($externs, file_get_contents($this->externsUrl));
+            $pb->add('--externs')->add($externs);
+        }
+
+        if (null !== $this->excludeDefaultExterns) {
+            $pb->add('--use_only_custom_externs');
+        }
+
+        if (null !== $this->formatting) {
+            $pb->add('--formatting')->add($this->formatting);
+        }
+
+        if (null !== $this->useClosureLibrary) {
+            $pb->add('--manage_closure_dependencies');
+        }
+
+        if (null !== $this->warningLevel) {
+            $pb->add('--warning_level')->add($this->warningLevel);
+        }
+
+        if (null !== $this->language) {
+            $pb->add('--language_in')->add($this->language);
+        }
+
+        $pb->add('--js')->add($cleanup[] = $input = tempnam(sys_get_temp_dir(), 'assetic_google_closure_compiler'));
+        file_put_contents($input, $asset->getContent());
+
+        $proc = $pb->getProcess();
+        $code = $proc->run();
+        array_map('unlink', $cleanup);
+
+        if (0 < $code) {
+            throw FilterException::fromProcess($proc)->setInput($asset->getContent());
+        }
+
+        $asset->setContent($proc->getOutput());
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/PackagerFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/PackagerFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/PackagerFilter.php	(revision 7265)
@@ -0,0 +1,64 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter;
+
+use Assetic\Asset\AssetInterface;
+
+/**
+ * Runs assets through Packager.
+ *
+ * @link https://github.com/kamicane/packager
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+class PackagerFilter implements FilterInterface
+{
+    private $packages;
+
+    public function __construct(array $packages = array())
+    {
+        $this->packages = $packages;
+    }
+
+    public function addPackage($package)
+    {
+        $this->packages[] = $package;
+    }
+
+    public function filterLoad(AssetInterface $asset)
+    {
+        static $manifest = <<<EOF
+name: Application%s
+sources: [source.js]
+
+EOF;
+
+        $hash = substr(sha1(time().rand(11111, 99999)), 0, 7);
+        $package = sys_get_temp_dir().'/assetic_packager_'.$hash;
+
+        mkdir($package);
+        file_put_contents($package.'/package.yml', sprintf($manifest, $hash));
+        file_put_contents($package.'/source.js', $asset->getContent());
+
+        $packager = new \Packager(array_merge(array($package), $this->packages));
+        $content = $packager->build(array(), array(), array('Application'.$hash));
+
+        unlink($package.'/package.yml');
+        unlink($package.'/source.js');
+        rmdir($package);
+
+        $asset->setContent($content);
+    }
+
+    public function filterDump(AssetInterface $asset)
+    {
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/SprocketsFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/SprocketsFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/SprocketsFilter.php	(revision 7265)
@@ -0,0 +1,148 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter;
+
+use Assetic\Asset\AssetInterface;
+use Assetic\Exception\FilterException;
+use Symfony\Component\Process\ProcessBuilder;
+
+/**
+ * Runs assets through Sprockets.
+ *
+ * Requires Sprockets 1.0.x.
+ *
+ * @link http://getsprockets.org/
+ * @link http://github.com/sstephenson/sprockets/tree/1.0.x
+ *
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+class SprocketsFilter implements FilterInterface
+{
+    private $sprocketsLib;
+    private $rubyBin;
+    private $includeDirs;
+    private $assetRoot;
+
+    /**
+     * Constructor.
+     *
+     * @param string $sprocketsLib Path to the Sprockets lib/ directory
+     * @param string $rubyBin      Path to the ruby binary
+     */
+    public function __construct($sprocketsLib = null, $rubyBin = '/usr/bin/ruby')
+    {
+        $this->sprocketsLib = $sprocketsLib;
+        $this->rubyBin = $rubyBin;
+        $this->includeDirs = array();
+    }
+
+    public function addIncludeDir($directory)
+    {
+        $this->includeDirs[] = $directory;
+    }
+
+    public function setAssetRoot($assetRoot)
+    {
+        $this->assetRoot = $assetRoot;
+    }
+
+    /**
+     * Hack around a bit, get the job done.
+     */
+    public function filterLoad(AssetInterface $asset)
+    {
+        static $format = <<<'EOF'
+#!/usr/bin/env ruby
+
+require %s
+%s
+options = { :load_path    => [],
+            :source_files => [%s],
+            :expand_paths => false }
+
+%ssecretary = Sprockets::Secretary.new(options)
+secretary.install_assets if options[:asset_root]
+print secretary.concatenation
+
+EOF;
+
+        $more = '';
+
+        foreach ($this->includeDirs as $directory) {
+            $more .= 'options[:load_path] << '.var_export($directory, true)."\n";
+        }
+
+        if (null !== $this->assetRoot) {
+            $more .= 'options[:asset_root] = '.var_export($this->assetRoot, true)."\n";
+        }
+
+        if ($more) {
+            $more .= "\n";
+        }
+
+        $tmpAsset = tempnam(sys_get_temp_dir(), 'assetic_sprockets');
+        file_put_contents($tmpAsset, $asset->getContent());
+
+        $input = tempnam(sys_get_temp_dir(), 'assetic_sprockets');
+        file_put_contents($input, sprintf($format,
+            $this->sprocketsLib
+                ? sprintf('File.join(%s, \'sprockets\')', var_export($this->sprocketsLib, true))
+                : '\'sprockets\'',
+            $this->getHack($asset),
+            var_export($tmpAsset, true),
+            $more
+        ));
+
+        $pb = new ProcessBuilder(array(
+            $this->rubyBin,
+            $input,
+        ));
+
+        $proc = $pb->getProcess();
+        $code = $proc->run();
+        unlink($tmpAsset);
+        unlink($input);
+
+        if (0 < $code) {
+            throw FilterException::fromProcess($proc)->setInput($asset->getContent());
+        }
+
+        $asset->setContent($proc->getOutput());
+    }
+
+    public function filterDump(AssetInterface $asset)
+    {
+    }
+
+    private function getHack(AssetInterface $asset)
+    {
+        static $format = <<<'EOF'
+
+module Sprockets
+  class Preprocessor
+    protected
+    def pathname_for_relative_require_from(source_line)
+      Sprockets::Pathname.new(@environment, File.join(%s, location_from(source_line)))
+    end
+  end
+end
+
+EOF;
+
+        $root = $asset->getSourceRoot();
+        $path = $asset->getSourcePath();
+
+        if ($root && $path) {
+            return sprintf($format, var_export(dirname($root.'/'.$path), true));
+        }
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/JSMinFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/JSMinFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/JSMinFilter.php	(revision 7265)
@@ -0,0 +1,34 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter;
+
+use Assetic\Asset\AssetInterface;
+
+/**
+ * Filters assets through JsMin.
+ *
+ * All credit for the filter itself is mentioned in the file itself.
+ *
+ * @link https://raw.github.com/mrclay/minify/master/min/lib/JSMin.php
+ * @author Brunoais <brunoaiss@gmail.com>
+ */
+class JSMinFilter implements FilterInterface
+{
+    public function filterLoad(AssetInterface $asset)
+    {
+    }
+
+    public function filterDump(AssetInterface $asset)
+    {
+        $asset->setContent(\JSMin::minify($asset->getContent()));
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/CallablesFilter.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/CallablesFilter.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Filter/CallablesFilter.php	(revision 7265)
@@ -0,0 +1,49 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Filter;
+
+use Assetic\Asset\AssetInterface;
+
+/**
+ * A filter that wraps callables.
+ *
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+class CallablesFilter implements FilterInterface
+{
+    private $loader;
+    private $dumper;
+
+    /**
+     * @param callable|null $loader
+     * @param callable|null $dumper
+     */
+    public function __construct($loader = null, $dumper = null)
+    {
+        $this->loader = $loader;
+        $this->dumper = $dumper;
+    }
+
+    public function filterLoad(AssetInterface $asset)
+    {
+        if (null !== $callable = $this->loader) {
+            $callable($asset);
+        }
+    }
+
+    public function filterDump(AssetInterface $asset)
+    {
+        if (null !== $callable = $this->dumper) {
+            $callable($asset);
+        }
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/FilterManager.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/FilterManager.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/FilterManager.php	(revision 7265)
@@ -0,0 +1,64 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic;
+
+use Assetic\Filter\FilterInterface;
+
+/**
+ * Manages the available filters.
+ *
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+class FilterManager
+{
+    private $filters = array();
+
+    public function set($alias, FilterInterface $filter)
+    {
+        $this->checkName($alias);
+
+        $this->filters[$alias] = $filter;
+    }
+
+    public function get($alias)
+    {
+        if (!isset($this->filters[$alias])) {
+            throw new \InvalidArgumentException(sprintf('There is no "%s" filter.', $alias));
+        }
+
+        return $this->filters[$alias];
+    }
+
+    public function has($alias)
+    {
+        return isset($this->filters[$alias]);
+    }
+
+    public function getNames()
+    {
+        return array_keys($this->filters);
+    }
+
+    /**
+     * Checks that a name is valid.
+     *
+     * @param string $name An asset name candidate
+     *
+     * @throws \InvalidArgumentException If the asset name is invalid
+     */
+    protected function checkName($name)
+    {
+        if (!ctype_alnum(str_replace('_', '', $name))) {
+            throw new \InvalidArgumentException(sprintf('The name "%s" is invalid.', $name));
+        }
+    }
+}
